org.apache.catalina.mbeans

## Class RoleMBean

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.RoleMBean

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration, ModelMBeanNotificationBroadcaster, NotificationBroadcaster

    public class RoleMBean
    extends BaseModelMBean

A ModelMBean implementation for the `org.apache.catalina.Role` component.

Author:
  Craig R. McClanahan

### Field Summary

Fields
`protected ManagedBean` `managed` The `ManagedBean` information describing this MBean.
`protected Registry` `registry` The configuration information registry for our managed beans.

### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

### Constructor Summary

Constructors
Constructor and Description
`RoleMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

### Method Summary

### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### registry

    protected Registry registry

The configuration information registry for our managed beans.

#### managed

    protected ManagedBean managed

The `ManagedBean` information describing this MBean.

### Constructor Detail

#### RoleMBean

    public RoleMBean()
              throws MBeanException,
                     RuntimeOperationsException

Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Throws:
  `MBeanException` - if the initializer of an object throws an exception
  `RuntimeOperationsException` - if an IllegalArgumentException occurs